if not srb2p return end

-- Stats for characters

charStats["aj"] = {

		-- GENERAL

		name = "Aj",			-- This is only for bots / enemies
		basehp = 70,			-- base HP for level 1
		basesp = 38,
		persona = "orpheus",
		melee_natk = "sonic_atk1",	-- normal melee attack
		--melee_satk = "ssonic_atk1",	-- normal melee attack when super

		wep = "shoes_01",		-- default weapon.
		weptype = WPT_SHOES,	-- Equippable weapon type(s)

		atk = 30,	-- attack power of physical attacks
		acc = 85,	-- accuracy of physical attacks
		crit = 5,

		supercolor_start = SKINCOLOR_SUPERGOLD1,	-- if super form is applicable: will use this flash

		-- ANIMS
		-- Anims are built like this:
		-- {SPR_SPRITE, frame1, frame2, frame3, ... , duration between each frame, <"spr2">}
		-- spr2 is optional and must be between quotes, this is to avoid compability issues with older animations

		anim_stand = 		{SPR_PLAY, A, 8, "SPR2_STND"},		-- standing
		anim_stand_hurt =	{SPR_PLAY, A, 1, "SPR2_STND"},		-- standing (low HP)
		anim_stand_bored =	{SPR_PLAY, A, B, A, B, A, B, A, B, 10, "SPR2_WAIT"},	-- standing (rare anim)
		anim_guard = 		{SPR_PLAY, A, 1, "SPR2_WALK"},		-- guarding
		anim_move =			{SPR_PLAY, A, B, C, D, E, F, G, H, 2, "SPR2_WALK"},		-- moving
		anim_run =			{SPR_PLAY, A, B, C, D, 2, "SPR2_RUN_"},	-- guess what
		anim_atk =			{SPR_PLAY, A, B, C, D, E, F, 1, "SPR2_ROLL"},	-- attacking
		anim_aoa_end =		{SPR_PLAY, F, E, D, C, B, A, 1, "SPR2_ROLL"},	-- jumping out of all-out attack
		anim_hurt =			{SPR_PLAY, A, 35, "SPR2_PAIN"},		-- taking damage
		anim_getdown =		{SPR_PLAY, A, 1, "SPR2_PAIN"},		-- knocked down from weakness / crit
		anim_downloop =		{SPR_PLAY, A, 1, "SPR2_SHIT"},		-- is down
		anim_getup =		{SPR_PLAY, A, B, C, D, 1, "SPR2_ROLL"},		-- gets up from down
		anim_death =		{SPR_PLAY, A, 30, "SPR2_PAIN"},		-- dies
		anim_revive =		{SPR_PLAY, A, B, C, D, E, F, 1, "SPR2_ROLL"},		-- gets revived
		anim_evoker =		{SPR_PLAY, A, 2, "SPR2_CSMN"},	-- uses evoker
		anim_evoker_shoot = {SPR_PLAY, B, A, 2, "SPR2_CSMN"},

		anim_stand_super = 	{SPR_PLAY, A, B, C, D, 4, "SPR2_STND"},		-- standing
		anim_stand_hurt_super = 	{SPR_PLAY, A, B, C, D, 4, "SPR2_STND"},		-- standing
		anim_stand_bored_super = 	{SPR_PLAY, A, B, C, D, 4, "SPR2_STND"},		-- standing
		anim_run_super = 	{SPR_PLAY, A, B, 2, "SPR2_RUN_"},	-- run
		anim_evoker_super = 	{SPR_PLAY, A, B, C, D, 4, "SPR2_STND"},
		anim_evoker_shoot_super = 	{SPR_PLAY, A, B, C, D, 4, "SPR2_STND"},

		anim_special1 = {SPR_PLAY, A, B, C, D, 2, "SPR2_SPIN"}, -- spindash (revving up)
		anim_special2 = {SPR_PLAY, A, B, C, D, 1, "SPR2_SPIN"}, -- spindash (faster, revved up)

		-- VOICES
		-- Follow this template.
		-- All sounds in there will be *automatically* freeslotted.
		-- For custom characters, call VFX_freeslotC("skinname") OUT OF A THINKFRAME (!)
		-- See Player_Defs.LUA

		vfx_summon = {"sfx_sosum1", "sfx_sosum2", "sfx_sosum3", "sfx_sosum4", "sfx_sosum5"},
		vfx_skill = {"sfx_soskl1", "sfx_soskl2"},
		vfx_item = {"sfx_souse1"},
		vfx_hurt = {"sfx_sohrt1"},
		vfx_hurtx = {"sfx_sohtx1", "sfx_sohtx2"},
		vfx_die = {"sfx_sodie1"},
		vfx_killconfirm = {"sfx_soskl1", "sfx_soskl2"},
		vfx_heal = {"sfx_sohel1", "sfx_sohel2", "sfx_sohel3"},
		vfx_healself = {"sfx_sohel1", "sfx_sohel2", "sfx_sohel3"},
		vfx_kill = {"sfx_sokll1", "sfx_sokll2", "sfx_sokll3", "sfx_sokll4"},
		vfx_1more = {"sfx_so1mr1", "sfx_so1mr2"},
		vfx_crit = {"sfx_socrt1"},
		vfx_aoaask = {"sfx_soaoi1", "sfx_soaoi2", "sfx_soaoi3", "sfx_soaoi4"},
		vfx_aoado = {"sfx_soaoa1", "sfx_soaoa2", "sfx_soaoa3", "sfx_soaoa4"},
		vfx_aoarelent = {"sfx_somis2", "sfx_somis3"},
		vfx_miss = {"sfx_somis1", "sfx_somis2", "sfx_somis3"},
		vfx_dodge = {"sfx_sodge1"},
		vfx_win = {"sfx_sowin1", "sfx_sowin2", "sfx_sowin3", "sfx_sowin4"},
		vfx_levelup = {"sfx_solvl1", "sfx_socrt1", "sfx_sohel2", "sfx_sokll1"},


		icon = "ICO_SONI",	-- icon for net select and other menus
		hudbust = "SONIC_H",			-- patch to draw on the stat hud
		hudaoa = "H_SONAOA",	-- patch for all out attack hud
		hudsbust = "SSONIC_H",
		hudsaoa = "H_SSONAO",	-- same but for supers
		hudcutin = "SONIC_A",	-- cut in
		aoa_quote = "Let's get this\nparty started!",

		tip = "how tf did he get to srb2p?? nobody asked him to be here!!!",
	}

