//freeslot defs
freeslot(
"SKINCOLOR_NORMALAJ",
"SKINCOLOR_FIREAJ",
"SKINCOLOR_HITMANAJ",
"sfx_ajpl"
)

sfxinfo[sfx_ajpl] = {
        singular = true,
        priority = 256,
        flags = SF_X4AWAYSOUND|SF_X8AWAYSOUND
}

skincolors[SKINCOLOR_NORMALAJ] = {
    name = "NormalAj",
    ramp = {0,80,81,80,82,73,73,52,55,56,150,151,153,155,157,159
},
    invcolor = SKINCOLOR_DAYBREAK,
    invshade = 9,
    chatcolor = V_YELLOWMAP,
    accessible = true
}

skincolors[SKINCOLOR_FIREAJ] = {
    name = "FireAj",
    ramp = {0,80,81,80,82,73,73,52,55,56,32,33,34,35,36,37
},
    invcolor = SKINCOLOR_FLAME,
    invshade = 9,
    chatcolor = V_YELLOWMAP,
    accessible = false
}

skincolors[SKINCOLOR_HITMANAJ] = {
    name = "SuitAj",
    ramp = {21,22,23,24,25,26,27,28,29,31,35,38,41,43,45,47
},
    invcolor = SKINCOLOR_BLACK,
    invshade = 9,
    chatcolor = V_YELLOWMAP,
    accessible = true
}


freeslot(
"SPR2_GPND",
"SPR2_GPFL",
"SPR2_SLDE", 
"SPR2_WALL", 
"SPR2_DVLN", 
"SPR2_TRK1", 
"SPR2_TRK2", 
"SPR2_TRK3",
"SPR2_DUCK",
"SPR2_DWLK",
"SPR2_FLOS",
"sfx_dive",
"sfx_pnch",
"sfx_reload",
"sfx_dedd")


//DOUBLE JUMP by @SP Moves Enjoyer
local skin = "aj"
local ajheight = 10
local sound = sfx_putput
local circlespawneffect = true
local objectspawned = MT_SPINDUST
local objectspeed = 20
local changestate = true
local thestate = S_PLAY_SPRING

addHook("PlayerSpawn", function(player)
    if player.mo and player.mo.skin == skin
		player.mo.charability = CA_NONE 
	end
end)

addHook("AbilitySpecial", function(player)
    if player.mo and player.mo.skin == skin
	and not (player.pflags & PF_THOKKED)
		player.pflags = $1|PF_THOKKED
		P_SetObjectMomZ(player.mo,ajheight*FRACUNIT)
		S_StartSound(player.mo, sound)
		player.mo.state = S_PLAY_SPRING
		if circlespawneffect == true
			for i = 1, 16 
				local object = P_SpawnMobjFromMobj(player.mo, 0,0,0,objectspawned)
				object.target = player.mo
				object.fuse = TICRATE
				object.scale = player.mo.scale
				object.destscale = player.mo.scale/8
				P_InstaThrust(object, i*ANGLE_22h, objectspeed*FRACUNIT)
				object.momz = 0
			end
		end
		if changestate == true
			player.mo.state = thestate
		end
		
    end
end)

//skid dust when roll
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "aj"
  or player.mo.state == S_PLAY_AJPEELOUT1
  or player.mo.state == S_PLAY_AJPEELOUT2
  or player.mo.state == S_PLAY_AJPEELOUT3
  or player.mo.state == S_PLAY_AJPEELOUT4
  or player.mo.state == S_PLAY_AJPEELOUT5
  or player.mo.state == S_PLAY_AJPEELOUT6
  then return end
  
  if P_IsObjectOnGround(player.mo) and (player.pflags & PF_SPINNING) and player.speed >= 3 and not (player.pflags & PF_STARTDASH)
  P_SpawnSkidDust(player, 15*FRACUNIT, sfx_s3k7e)
  end
end)

--------------------------------------------------------------------------------------------

//dive
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "aj"
  or P_PlayerInPain(player)
  or player.playerstate == PST_DEAD
  or player.mo.state == S_PLAY_PAIN
  or player.mo.state == S_PLAY_STUN
  or player.mo.state == S_PLAY_DEAD
  or player.mo.state == S_PLAY_DRWN
  or player.mo.state == S_PLAY_DEADLAND
  or player.mo.state == S_PLAY_DEADLANDALT
  or player.mo.state == S_PLAY_DEADLANDDEFAULT
  or player.powers[pw_super] >= 1
  then return end
  
    player.diveslide = $ or 0
  if (player.cmd.buttons & BT_CUSTOM1) and not(player.pflags & PF_THOKKED) or (player.cmd.buttons & BT_CUSTOM1) and player.mo.state == S_PLAY_SPRING or (player.cmd.buttons & BT_CUSTOM1) and player.mo.state == S_PLAY_FALL or (player.cmd.buttons & BT_CUSTOM1) and player.mo.state == S_PLAY_GOOFALL
    player.diveslide = $+1
  end
  
  if (player.cmd.buttons & BT_CUSTOM1) and not(player.pflags & PF_THOKKED) or (player.cmd.buttons & BT_CUSTOM1) and player.mo.state == S_PLAY_SPRING or (player.cmd.buttons & BT_CUSTOM1) and player.mo.state == S_PLAY_FALL or (player.cmd.buttons & BT_CUSTOM1) and player.mo.state == S_PLAY_GOOFALL
    P_Thrust(player.mo,player.mo.angle, 13*FU)
    P_SetObjectMomZ(player.mo,7*FU)
	S_StartSound(mobj, sfx_dive)
	player.diveslide = 1
	
    player.mo.state = S_PLAY_GLIDE
	player.pflags = $|PF_THOKKED
	player.powers[pw_strong] = STR_ATTACK|STR_ANIM
	else
	
	if P_IsObjectOnGround(player.mo) and (player.diveslide == 1)
	player.pflags = $|PF_SPINNING
	player.mo.state = S_PLAY_DIVESLIDE
	
	end
  end
end)

//when to not slide
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "aj"
  or player.mo.skin ~= "aj" and P_PlayerInPain(player)
  or player.mo.skin ~= "aj" and player.playerstate == PST_DEAD
  or player.powers[pw_super] >= 1
  then return end

  if player.mo.eflags & MFE_SPRUNG or player.mo.eflags & MFE_TOUCHLAVA or player.speed <= 15 or player.mo.state == S_PLAY_JUMP or player.mo.state == S_PLAY_STND or player.mo.state == S_PLAY_WALK or player.mo.state == S_PLAY_RUN or player.mo.state == S_PLAY_SKID or player.mo.state == S_PLAY_PAIN or player.mo.state == S_PLAY_STUN or player.mo.state == S_PLAY_DEAD or player.mo.state == S_PLAY_DRWN or player.mo.state == S_PLAY_EDGE or player.mo.state == S_PLAY_RIDE or player.mo.state == S_PLAY_SUPER_TRANS1 or player.mo.state == S_PLAY_DASH or player.mo.state == S_PLAY_SPINDASH
	player.diveslide = 0
	
  end
end)

-----------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------





-----------------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------------
