//freeslot defs
freeslot(
"SKINCOLOR_NORMALAJ",
"SKINCOLOR_FIREAJ",
"SKINCOLOR_HITMANAJ",
"SKINCOLOR_SSONE",
"SKINCOLOR_SSONESUPER"
)

skincolors[SKINCOLOR_NORMALAJ] = {
    name = "NormalAj",
    ramp = {0,80,81,80,82,73,73,52,55,56,150,151,153,155,157,159
},
    invcolor = SKINCOLOR_DAYBREAK,
    invshade = 9,
    chatcolor = V_YELLOWMAP,
    accessible = true
}

skincolors[SKINCOLOR_FIREAJ] = {
    name = "FireAj",
    ramp = {0,80,81,80,82,73,73,52,55,56,32,33,34,35,36,37
},
    invcolor = SKINCOLOR_FLAME,
    invshade = 9,
    chatcolor = V_YELLOWMAP,
    accessible = false
}

skincolors[SKINCOLOR_HITMANAJ] = {
    name = "SuitAj",
    ramp = {21,22,23,24,25,26,27,28,29,31,35,38,41,43,45,47
},
    invcolor = SKINCOLOR_BLACK,
    invshade = 9,
    chatcolor = V_YELLOWMAP,
    accessible = true
}

skincolors[SKINCOLOR_SSONE] = {
	name = "One",
	ramp = {1,2,1,2,1,2,1,2,1,2,1,2,1,2,3,2},
	invcolor = SKINCOLOR_RED,
	invshade = 6,
	chatcolor = V_YELLOWMAP,
	accessible = true
}

skincolors[SKINCOLOR_SSONESUPER] = {
	name = "OneSuper",
	ramp = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
	invcolor = SKINCOLOR_RED,
	invshade = 6,
	chatcolor = V_YELLOWMAP,
	accessible = false
}

//Double Jump
local skin = "gunaj"
local ajheight = 10
local sound = sfx_putput
local circlespawneffect = true
local objectspawned = MT_SPINDUST
local objectspeed = 20
local changestate = true
local thestate = S_PLAY_SPRING

addHook("PlayerSpawn", function(player)
    if player.mo and player.mo.skin == skin
		player.mo.charability = CA_NONE 
	end
end)

addHook("AbilitySpecial", function(player)
    if player.mo and player.mo.skin == skin
	and not (player.pflags & PF_THOKKED)
		player.pflags = $1|PF_THOKKED
		P_SetObjectMomZ(player.mo,ajheight*FRACUNIT)
		S_StartSound(player.mo, sound)
		player.mo.state = S_PLAY_SPRING
		if circlespawneffect == true
			for i = 1, 16 
				local object = P_SpawnMobjFromMobj(player.mo, 0,0,0,objectspawned)
				object.target = player.mo
				object.fuse = TICRATE
				object.scale = player.mo.scale
				object.destscale = player.mo.scale/8
				P_InstaThrust(object, i*ANGLE_22h, objectspeed*FRACUNIT)
				object.momz = 0
			end
		end
		if changestate == true
			player.mo.state = thestate
		end
		
    end
end)

//gun jump
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "gunaj"
  or P_PlayerInPain(player)
  or player.playerstate == PST_DEAD
  or player.mo.state == S_PLAY_PAIN
  or player.mo.state == S_PLAY_STUN
  or player.mo.state == S_PLAY_DEAD
  or player.mo.state == S_PLAY_DRWN
  or player.mo.state == S_PLAY_DEADLAND
  or player.mo.state == S_PLAY_DEADLANDALT
  or player.mo.state == S_PLAY_DEADLANDDEFAULT
  or player.mo.state == S_PLAY_AJGUNJUMP
  or player.mo.state == S_PLAY_AJGUNJUMPEND
  then return end
  
    player.ajgunjump = $ or 0
  if (player.cmd.buttons & BT_SPIN) and not P_IsObjectOnGround(player.mo)
    player.diveslide = 0
  end
  
  if (player.cmd.buttons & BT_SPIN) and (player.ajgunjump ~= 1) and not P_IsObjectOnGround(player.mo)
    P_SetObjectMomZ(player.mo,11*FU)
	S_StartSound(mobj, sfx_ajgn)
	P_SpawnMobjFromMobj(player.mo, 0,0,-10, MT_AJAMMO)
    player.mo.state = S_PLAY_AJGUNJUMP
	player.ajgunjump = 1
	else
	if P_IsObjectOnGround(player.mo)
	player.ajgunjump = 0
	
	end
  end
end)



//skid dust when roll
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "gunaj" and player.powers[pw_super]
  then return end
  
  if P_IsObjectOnGround(player.mo) and (player.pflags & PF_SPINNING)
  P_SpawnSkidDust(player, 15*FRACUNIT, sfx_s3k7e)
  end
end)

//dive height change
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "gunaj"
  or player.mo.skin ~= "gunaj" and player.mo.state == S_PLAY_ROLL
  or player.mo.skin ~= "gunaj" and player.mo.state == S_PLAY_SPINDASH
  then return end
  
  if player.mo.state == S_PLAY_GLIDE
  player.height = 24*FRACUNIT
  
  end
end)

//change back
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "gunaj" and player.powers[pw_super]
  then return end
  
  if player.mo.state ~= S_PLAY_GLIDE or player.mo.state ~= S_PLAY_GLIDE_LANDING
  player.height = 48*FRACUNIT
  
  end
end)

--------------------------------------------------------------------------------------------

//dive
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "gunaj"
  or P_PlayerInPain(player)
  or player.playerstate == PST_DEAD
  or player.mo.state == S_PLAY_PAIN
  or player.mo.state == S_PLAY_STUN
  or player.mo.state == S_PLAY_DEAD
  or player.mo.state == S_PLAY_DRWN
  or player.mo.state == S_PLAY_DEADLAND
  or player.mo.state == S_PLAY_DEADLANDALT
  or player.mo.state == S_PLAY_DEADLANDDEFAULT
  or player.mo.state == S_PLAY_AJGUNJUMP
  or player.mo.state == S_PLAY_AJGUNJUMPEND
  then return end
  
    player.diveslide = $ or 0
  if (player.cmd.buttons & BT_CUSTOM1) and not(player.pflags & PF_THOKKED) or (player.cmd.buttons & BT_CUSTOM1) and player.mo.state == S_PLAY_GOOFALL or (player.cmd.buttons & BT_CUSTOM1) and player.mo.state == S_PLAY_SPRING or (player.cmd.buttons & BT_CUSTOM1) and player.mo.state == S_PLAY_FALL
    player.diveslide = $+1
  end
  
  if (player.cmd.buttons & BT_CUSTOM1) and not(player.pflags & PF_THOKKED) or (player.cmd.buttons & BT_CUSTOM1) and player.mo.state == S_PLAY_GOOFALL or (player.cmd.buttons & BT_CUSTOM1) and player.mo.state == S_PLAY_SPRING or (player.cmd.buttons & BT_CUSTOM1) and player.mo.state == S_PLAY_FALL
    P_Thrust(player.mo,player.mo.angle, 13*FU)
    P_SetObjectMomZ(player.mo,7*FU)
	S_StartSound(mobj, sfx_dive)
	player.diveslide = 1
	
    player.mo.state = S_PLAY_GLIDE
	player.pflags = $|PF_THOKKED
	player.powers[pw_strong] = STR_ATTACK|STR_ANIM
	else
	
	if P_IsObjectOnGround(player.mo) and (player.diveslide == 1)
	player.pflags = $|PF_SPINNING
	player.mo.state = S_PLAY_DIVESLIDE
	
	end
  end
end)

//when to not slide
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "gunaj"
  or player.mo.skin ~= "aj" and P_PlayerInPain(player)
  or player.mo.skin ~= "aj" and player.playerstate == PST_DEAD
  then return end

  if player.mo.eflags & MFE_SPRUNG or player.mo.eflags & MFE_TOUCHLAVA or player.speed <= 15 or player.mo.state == S_PLAY_JUMP or player.mo.state == S_PLAY_STND or player.mo.state == S_PLAY_WALK or player.mo.state == S_PLAY_RUN or player.mo.state == S_PLAY_SKID or player.mo.state == S_PLAY_PAIN or player.mo.state == S_PLAY_STUN or player.mo.state == S_PLAY_DEAD or player.mo.state == S_PLAY_DRWN or player.mo.state == S_PLAY_EDGE or player.mo.state == S_PLAY_RIDE or player.mo.state == S_PLAY_SUPER_TRANS1 or player.mo.state == S_PLAY_DASH or player.mo.state == S_PLAY_SPINDASH
	player.diveslide = 0
	
  end
end)

//the money that was made couldn't be scared money, i had no one put up the bread for me

-----------------------------------------------------------------------------------------------------

//crouch
addHook("PlayerThink", function(player)
  if player.mo.skin ~= "gunaj"
  or P_PlayerInPain(player)
  or player.playerstate == PST_DEAD
  or player.mo.state == S_PLAY_PAIN
  or player.mo.state == S_PLAY_STUN
  or player.mo.state == S_PLAY_DEAD
  or player.mo.state == S_PLAY_DRWN
  or player.mo.state == S_PLAY_DEADLAND
  or player.mo.state == S_PLAY_DEADLANDALT
  or player.mo.state == S_PLAY_DEADLANDDEFAULT
  or player.mo.state == S_PLAY_GLIDE
  or player.mo.state == S_PLAY_DIVESLIDE
  then return end
  
  if (player.cmd.buttons & BT_CUSTOM2) and P_IsObjectOnGround(player.mo) and not (player.cmd.buttons & BT_SPIN)
    player.height = 24*FRACUNIT
    player.pflags = $|PF_STASIS
	player.mo.state = S_PLAY_GLIDE_LANDING
	else
	if not (player.cmd.buttons & BT_CUSTOM2) and player.pflags == PF_STASIS and player.mo.skin == "aj" or not P_IsObjectOnGround(player.mo) and player.pflags == PF_STASIS and player.mo.skin == "aj"
	player.height = 48*FRACUNIT
    player.pflags = $ & ~PF_STASIS
  end
 end
end)

//crouch dust particles
addHook("PlayerThink", function(player)
  if player.mo.skin ~= "gunaj"
  or P_PlayerInPain(player)
  or player.playerstate == PST_DEAD
  or player.mo.state == S_PLAY_PAIN
  or player.mo.state == S_PLAY_STUN
  or player.mo.state == S_PLAY_DEAD
  or player.mo.state == S_PLAY_DRWN
  or player.mo.state == S_PLAY_DEADLAND
  or player.mo.state == S_PLAY_DEADLANDALT
  or player.mo.state == S_PLAY_DEADLANDDEFAULT
  or player.mo.state == S_PLAY_GLIDE
  or player.mo.state == S_PLAY_DIVESLIDE
  then return end
  
  if (player.cmd.buttons & BT_CUSTOM2) and P_IsObjectOnGround(player.mo) and player.speed >= 5 and not (player.cmd.buttons & BT_SPIN)
	P_SpawnSkidDust(player, 12*FRACUNIT, sfx_s3k7e)
 end
end)

//crouch spin dash
addHook("PlayerThink", function(player)
  if player.mo.skin ~= "gunaj"
  or P_PlayerInPain(player)
  or player.playerstate == PST_DEAD
  or player.mo.state == S_PLAY_PAIN
  or player.mo.state == S_PLAY_STUN
  or player.mo.state == S_PLAY_DEAD
  or player.mo.state == S_PLAY_DRWN
  or player.mo.state == S_PLAY_DEADLAND
  or player.mo.state == S_PLAY_DEADLANDALT
  or player.mo.state == S_PLAY_DEADLANDDEFAULT
  then return end
  
  if (player.cmd.buttons & BT_CUSTOM2) and P_IsObjectOnGround(player.mo) and (player.cmd.buttons & BT_SPIN)
  player.pflags = $|PF_STARTDASH
	else
	if player.mo.state ~= S_PLAY_GLIDE_LANDING
	player.pflags = $ & ~PF_STARTDASH
	
	end
  end
end)



